libsigc++: sigc::const_volatile_mem_functor0< T_return, T_obj > Class Template Reference

# sigc::const_volatile_mem_functor0< T_return, T_obj > Class Template Reference
[mem_fun()]

const_volatile_mem_functor0 wraps const volatile methods with 0 argument(s). More...

`#include <sigc++/functors/mem_fun.h>`

Inheritance diagram for sigc::const_volatile_mem_functor0< T_return, T_obj >:
[legend]

List of all members.

## Public Types

typedef T_return(T_obj::* | function_type )() const volatile
typedef T_return | result_type

## Public Member Functions

| const_volatile_mem_functor0 ()
| Constructs an invalid functor.
| const_volatile_mem_functor0 (function_type _A_func)
| Constructs a const_volatile_mem_functor0 object that wraps the passed method.
T_return | operator() (const T_obj* _A_obj) const
| Execute the wrapped method operating on the passed instance.
T_return | operator() (const T_obj& _A_obj) const
| Execute the wrapped method operating on the passed instance.

## Protected Attributes

function_type | func_ptr_

## Detailed Description

### template <class T_return, class T_obj>
class sigc::const_volatile_mem_functor0< T_return, T_obj >

const_volatile_mem_functor0 wraps const volatile methods with 0 argument(s).

Use the convenience function mem_fun() to create an instance of const_volatile_mem_functor0.

The following template arguments are used:

- T_return The return type of operator()().
- T_obj The object type.

## Constructor & Destructor Documentation

template <class T_return , class T_obj >

sigc::const_volatile_mem_functor0< T_return, T_obj >::const_volatile_mem_functor0 | ( | function_type | _A_func | ) | `[inline, explicit]`

Constructs a const_volatile_mem_functor0 object that wraps the passed method.

Parameters:

  | _A_func | Pointer to method will be invoked from operator()().

## Member Function Documentation

template <class T_return , class T_obj >

T_return sigc::const_volatile_mem_functor0< T_return, T_obj >::operator() | ( | const T_obj & | _A_obj | ) | const`[inline]`

Execute the wrapped method operating on the passed instance.

Parameters:

  | _A_obj | Reference to instance the method should operate on.

Returns:
  The return value of the method invocation.

template <class T_return , class T_obj >

T_return sigc::const_volatile_mem_functor0< T_return, T_obj >::operator() | ( | const T_obj * | _A_obj | ) | const`[inline]`

Execute the wrapped method operating on the passed instance.

Parameters:

  | _A_obj | Pointer to instance the method should operate on.

Returns:
  The return value of the method invocation.